{% extends "base.html" %}

{% block title %}{{ materiel }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'materiel' %}">Matériel</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ materiel|default:"Nouveau matériel" }}</li>
{% endblock %}

{% block content %}
    <h2>{{ materiel|default:"Nouveau matériel" }}</h2>

    {% if install %}
    <div class="alert ligne-alarme">
        Ce matériel est actuellement installé chez <a href="{% url 'client-edit' install.client.pk %}">{{ install.client }}</a>.
    </div>
    {% endif %}

    <p>{{ form.non_field_errors }}</p>
    <form method="post" action="{{ request.path }}">{% csrf_token %}
        
        <div class="row mb-2">
          <div class="col">
            {{ form.type_mat.label_tag }}
            <div class="input-group mb-2">
                {{ form.type_mat }} {{ form.type_mat.errors }}
                <button class="btn btn-secondary openmodal" type="button" data-modalurl="{% url 'typemat-new' %}">+</button>
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.no_ref.label_tag }} {{ form.no_ref }} {{ form.no_ref.errors }}
            </div>
          </div>
        </div>

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.date_achat.label_tag }} {{ form.date_achat }} {{ form.date_achat.errors }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.prix_achat.label_tag }} {{ form.prix_achat }} {{ form.prix_achat.errors }} 
            </div>
          </div>
        </div>

        <div class="form-group mb-2">
            {{ form.fournisseur.label_tag }} {{ form.fournisseur }} {{ form.fournisseur.errors }}
        </div>

        <div class="form-group mb-2">
            {{ form.chez_benevole.label_tag }} {{ form.chez_benevole }} {{ form.chez_benevole.errors }}
        </div>

        <div class="d-flex justify-content-between">
            <button type="submit" class="btn btn-primary order-2">Enregistrer</button>
            {% if materiel and not materiel.date_archive and not install %}
                <button type="submit" class="btn btn-danger order-1" formaction="{% url 'materiel-archive' materiel.pk %}"
                        data-confirm="Souhaitez-vous vraiment archiver ce matériel ?">Archiver</button>
            {% else %}<div class="order-1"></div>{% endif %}
        </div>
    </form>

{% endblock %}
